package com.qmth.boot.tools.ssl;

import javax.net.ssl.X509TrustManager;
import java.security.cert.X509Certificate;

/**
 * 全部通过的SSL配置
 */
public class AllAcceptTrustManager implements X509TrustManager {

    @Override
    public void checkClientTrusted(X509Certificate[] certificates, String authType) {
    }

    @Override
    public void checkServerTrusted(X509Certificate[] ax509certificate, String s) {
    }

    @Override
    public X509Certificate[] getAcceptedIssuers() {
        return null;
    }
}
